Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 606136 - X crash and/or hang with screensaver errors
X crash and/or hang with screensaver errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
13
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-20 16:52 EDT by G.Wolfe Woodbury
Modified: 2018-04-11 05:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:38:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2010-06-20 16:52:02 EDT
Description of problem:
     The X server crashes and/or hangs with certain screensavers. This was discussed in the mailing list as "Monitor disconnects" a few weeks ago and I have been tracking down the problem as best I could for a while.  The problems is that on X86_64 (intel) hardware, the system will crash the X server or hang the X server depending on what screensaver module is used.  The interaction includes the power manager in the mix.  If the power manager is set to off, hangs/crashes don't occur; if the screensaver is set to a particular module, then crashes or hangs occur after the power manager blanks the screen.
     For example, the "Ant Inspect" screensave module causes a crash in X;
the "Apple II" screensave module causes a hang (requiring external intervention to recover without rebooting.)  Most of the screensaver modules I tried work ok. If the screensavers are randomized, the crashes and hangs are randomized as well.

Version-Release number of selected component (if applicable):


How reproducible:
     always


Steps to Reproduce:
1. power management to 1 hour monitor shutoff
2. gnome-screensaver to "Ant Inspect" or "Apple II"
3. wait
  
Actual results:
     hang (Apple II) or crash (Ant Inspect)

Expected results:
     no hang or crash

Additional info: smolt ID of hardware: pub_79ed1e10-4a39-4816-9932-bb508f85db99

ABRT gets an X crash but does nothing useable with it.
-------------------------------- extract from /var/log/messages ---------------
Jun  7 19:13:43 wolves abrt[19158]: saved core dump of pid 5179 (/usr/bin/Xorg) to /var/cache/abrt/ccpp-1275952420-5179.new/coredump (61067264 bytes)
Jun  7 19:13:43 wolves abrtd: Directory 'ccpp-1275952420-5179' creation detected
Jun  7 19:13:43 wolves gnome-keyring-daemon[5264]: dbus failure unregistering from session: Connection is closed
Jun  7 19:13:43 wolves gnome-keyring-daemon[5264]: dbus failure unregistering from session: Connection is closed
Jun  7 19:13:43 wolves abrtd: Crash is in database already (dup of /var/cache/abrt/ccpp-1275556778-2145)
Jun  7 19:13:43 wolves abrtd: Deleting crash ccpp-1275952420-5179 (dup of ccpp-1275556778-2145), sending dbus signal
Jun  7 19:13:43 wolves bonobo-activation-server (ggw-19165): could not associate with desktop session: Failed to connect to socket /tmp/dbus-ypEuM5OlfB: Connection refused
Jun  7 19:13:45 wolves gdm-simple-greeter[19215]: Gtk-WARNING: gtkwidget.c:5643: widget not within a GtkWindow
Jun  7 19:13:45 wolves gdm-simple-greeter[19215]: Gtk-WARNING: gtk_widget_size_allocate(): attempt to allocate widget with width 264 and height -1
--------------------------------
Looking at abrt shows no X crashes to report.
Comment 1 Patrick O'Callaghan 2010-06-20 18:55:13 EDT
I posted the original "Monitor disconnects" message on the Fedora Users list. See http://lists.fedoraproject.org/pipermail/users/2010-June/374270.html

I use KDE (F13 x86_64) rather than Gnome. I've turned off screen saving and haven't seen the problem since.
Comment 2 Daniel Hauck 2011-01-11 13:56:21 EST
I have had this problem since Fedora 12 on all machines with Intel graphics and it persists to this day.  Any OpenGL screensaver will potentially result in a crash in the X display driver and then take the X session with it.  GDM will restart X and am prompted to log in.  When I use "blank screen" this error does not occur.  I have not experimented with too many other screensavers, but all that use OpenGL will cause this failure.

When using identical settings with a machine configured with nVidia graphics and using the nVidia binary-only driver, all works normally as expected and without failure.
Comment 3 Daniel Hauck 2011-01-11 13:57:24 EST
Additional note: I use x86_64 and GNOME.
Comment 4 Matěj Cepl 2011-01-13 19:53:14 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Bug Zapper 2011-06-02 06:10:59 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Daniel Hauck 2011-06-02 06:23:27 EDT
I support the closing of this bug.  I have been running F14 on my Alienware M11Xr2 which uses only the Intel video at the moment and have not seen the screensaver problem for a very long time... a very long time.  Whatever the issue was, it seems to be fixed.  Whether it was fixed in the screensaver code or in the Intel driver, I will probably never know.  But the problem has been long gone for a while now.
Comment 7 Bug Zapper 2011-06-27 14:38:10 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.